@using SC.BL.Domain
@model SC.BL.Domain.Ticket

@{
    ViewBag.Title = "Ticket";
}

<h2>Ticket (ID: <span id="ticketNumber">@Model.TicketNumber</span>)</h2>

@*<dl>
    <dt>Account</dt><dd>@Model.AccountId</dd>
    <dt>Probleem</dt><dd>@Model.Text</dd>
    <dt>Aangemaakt op</dt><dd>@Model.DateOpened</dd>
    <dt>Status</dt><dd>@Model.State</dd>
</dl>*@
<partial name="_TicketDetailsPartial" for="@Model"/>
<dt style="color: grey">Maintainer</dt>
    <dd style="color: grey">@(Model.Maintainer != null ? Model.Maintainer.UserName : "N/A")</dd>
 | <a asp-action="Index">Lijst</a>

<h3 class="mt-3">Responses</h3>
<p><button id="loadResponses">(Her)laad antwoorden</button></p>
<table id="responses" class="table">
    <thead>
        <tr>
            <th>Antwoord</th><th>Datum</th><th>Klant antwoord?</th>
        </tr>
    </thead>
    <tbody>
        @foreach (TicketResponse response in (IEnumerable<TicketResponse>) ViewBag.Responses)
        {
            <tr>
                <td>@response.Text</td>
                <td>@response.Date</td>
                <td><input asp-for="@response.IsClientResponse" disabled/></td>
            </tr>
        }
    </tbody>
</table>
<input id="responseText" type="text" style="margin-right: 5px" />
<button id="createResponse">Verzenden</button>

@section Scripts {
    <script src="~/js/ticket/details.js" defer></script>
}